Message: Geant4-AIDA crashes after upgrade to 8.2.p01 Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

Question Geant4-AIDA crashes after upgrade to 8.2.p01 

Keywords: AIDA, analysis, AIDAJNI
Forum: Analysis
Date: 19 Mar, 2007
From: Markus Horn <Markus Horn>

Hello, After I upgraded to the latest G4-Version, somehow my simulations do crash quite often now and it seems to be connected to AIDA. I have a complex detector geometry and a lot of information about the simulation is stored in the *.aida file created by my HistoManager. I do not fully understand the output file, created by the crash, but they all seem very similar, except than some seem to crash at: libAIDAJNI.so: "Tree->commit", others "Tuple->addRow" or "Tuple->fill" I linked some of the log files at the end. I tried to minimize the file size by simulating less events per run, but this didnt help. Do I have some kind of memory problem ??? How can I give AIDA/AIDAJNI/JAIDA more heap space in a Geant4 simulation ??? It's also not platform dependent, since the same problem occurs on a SuSe Linux 9.3 a 10.0 and also on Kubuntu 6.10. Does it correlates to Java SDK 6 I also installed ???

Many thanks for any help.

Greetings, Markus

http://www-ik.fzk.de/~horn/G4data/hs_err_pid1025.log or http://www-ik.fzk.de/~horn/G4data/hs_err_pid12651.log

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 None: Re: Geant4-AIDA crashes after upgrade to 8.2.p01   (Mark Donszelmann - 19 Mar, 2007)
(_ None: Re: Geant4-AIDA crashes after upgrade to 8.2.p01   (Markus Horn - 19 Mar, 2007)
(_ None: Re: Geant4-AIDA crashes after upgrade to 8.2.p01   (Mark Donszelmann - 19 Mar, 2007)
(_ None: Re: Geant4-AIDA crashes after upgrade to 8.2.p01   (Markus Horn - 19 Mar, 2007)
(_ None: Re: Geant4-AIDA crashes after upgrade to 8.2.p01   (Mark Donszelmann - 19 Mar, 2007)
(_ None: Re: Geant4-AIDA crashes after upgrade to 8.2.p01   (Whitney Armstrong - 08 Nov, 2007)
 Add Message Add Message
to: "Geant4-AIDA crashes after upgrade to 8.2.p01"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]